{% extends "umap/content.html" %}

{% load umap_tags i18n %}

{% block content %}
{% if DEMO_SITE %}
<div class="alert alert-warning">
  {% blocktrans with repo_url="https://github.com/umap-project/umap" stable_url="http://umap.openstreetmap.fr" %}This is a demo instance, used for tests and pre-rolling releases. If you need a stable instance, please use <a href="{{ stable_url }}">{{ stable_url }}</a>. You can also host your own instance, it's <a href="{{ repo_url }}">open source</a>!{% endblocktrans %}
</div>
{% endif %}

<script type="text/javascript">
    jQuery(document).ready(function(){
      jQuery('#carousel-carte').carousel();
      jQuery("#play-pause a").on('click', function() {
          if(jQuery(this).children('.glyphicon').hasClass('glyphicon-pause')) {
              jQuery(this).children('.glyphicon').addClass('glyphicon-play').removeClass('glyphicon-pause');
              jQuery(this).attr('title','Lecture');
              jQuery(this).children('.sr-only').text('Lecture');
              jQuery('#carousel-carte').carousel('pause');
          } else {
              jQuery(this).children('.glyphicon').addClass('glyphicon-pause').removeClass('glyphicon-play');
              jQuery(this).attr('title','Pause');
              jQuery(this).children('.sr-only').text('Pause');
              jQuery('#carousel-carte').carousel('cycle');
          };
          return false;
      });
    });
</script>

  <main>
    <div class="row">
      <div class="col-md-12">
        <!--  Carousel -->
        <div id="carousel-carte" class="carousel slide" role="presentation">
          <div class="carousel-inner">
            <div class="item active">
              <img src="{{ STATIC_URL }}umap/img/carte-editeur.jpg" alt="" />
              <div class="carousel-caption">
                <p class="col-md-8 col-md-offset-2">
                  <b class="violet">Frama</b><b class="vert">carte</b> permet de dessiner, marquer, colorier, annoter…
                  les fonds de carte d’<a href="https://fr.wikipedia.org/wiki/Openstreetmap">OpenStreetMap</a>
                  pour les afficher ensuite dans votre site web ou les imprimer.
                </p>
              </div>
            </div>
            <div class="item">
              <img src="{{ STATIC_URL }}umap/img/carte-trail.jpg" alt="" />
              <div class="carousel-caption">
                <p class="col-md-8 col-md-offset-2">
                  Vous pouvez par exemple tracer le parcours d’une randonnée ou d'un trail,
                  y marquer les étapes avec des plots, etc. puis transmettre cette carte aux participants.
                </p>
              </div>
            </div>
            <div class="item">
              <img src="{{ STATIC_URL }}umap/img/carte-ville.jpg" alt="" />
              <div class="carousel-caption">
                <p class="col-md-8 col-md-offset-2">
                  Les possibilités d'édition de <b class="violet">Frama</b><b class="vert">carte</b> sont multiples,
                  n’hésitez pas à approfondir ses fonctionnalités pour en profiter pleinement.</p>
              </div>
            </div>
          </div><!-- /.carousel-inner -->

          <!-- Controls -->
          <p class="text-center" id="play-pause"><a href="#play-pause" class="carousel-control" title="Pause"><span class="glyphicon glyphicon-pause"></span><span class="sr-only">Pause</span></a></p>

          <a class="left carousel-control" href="#carousel-carte" role="button" data-slide="prev" title="Diapo précédente">
              <i class="glyphicon glyphicon-chevron-left"></i><span class="sr-only">Diapo précédente</span>
          </a>

          <a class="right carousel-control" href="#carousel-carte" role="button" data-slide="next" title="Diapo suivante">
              <i class="glyphicon glyphicon-chevron-right"></i><span class="sr-only">Diapo suivante</span>
          </a>
        </div><!-- /.carousel -->

        {% include "umap/search_bar.html" %}

        <div class="col-sm-6 text-center">
            <a href="{% url 'map_new' %}" class="btn btn-primary btn-lg">
                <i class="fa fa-fw fa-map pull-left"></i> {% trans "Create a map" %}
            </a>
            </a>
        </div>

      </div>
    </div>



    <hr role="presentation" />
    <div class="row">
      <div class="col-md-4" id="tuto-faq">
        <h2>Prise en main</h2>
        <p class="text-center" role="presentation"><i class="glyphicon glyphicon-question-sign"></i></p>
        <p><b class="violet">Frama</b><b class="vert">carte</b> est un service en ligne libre de création de carte personnalisée.</p>
        <p>Voici comment ça fonctionne :</p>
        <ol>
          <li>Choisissez un fond de carte</li>
          <li>Ajoutez des marqueurs, tracés, polygones…</li>
          <li>Changez les couleurs et icônes selon vos envies</li>
          <li>Gérez les options (géolocalisation, niveau de zoom, licence…)</li>
          <li>Exportez le code html ou partagez la carte</li>
        </ol>
        <p>Pour vous aider, vous trouverez <a href="https://framablog.org/tag/umap/">une série de tutoriels</a> réalisés par Antoine Riche sur le <b class="violet">Frama</b><b class="rouge">blog</b></p>
      </div>

      <div class="col-md-4" id="le-logiciel">
          <h2>Le logiciel</h2>
          <p class="text-center" role="presentation"><i class="glyphicon glyphicon-cloud"></i></p>
          <p><b class="violet">Frama</b><b class="vert">carte</b> repose sur le logiciel libre <a href="https://github.com/umap-project/umap/">uMap</a>.
          <p>Les données (hormis les fonds de cartes) sont hébergées sur les serveurs de <b class="violet">Frama</b><b class="soft">soft</b>, la maintenance est assurée en partenariat avec <a href="https://openstreetmap.fr">OpenStreetMap France</a>.<br>
          Il s’agit d’une instance parmi d’autres, <a href="https://umap.openstreetmap.fr/fr/">OpenStreetMap France en propose également une</a>.</p>
          <p>uMap est sous <a href="https://github.com/umap-project/umap/blob/master/LICENSE">licence <abbr title="Do What The Fuck You Want To">DWTFYWT</abbr></a>.</p>

          <p>Les fonds de carte sont le fruit du travail de millions de contributeurs au projet OpenStreetMap. Tout comme Wikipédia, tout le monde peut contribuer en éditant et améliorant les informations très simplement sur <a href="https://www.openstreetmap.org">https://www.openstreetmap.org</a>.</p>
      </div>

      <div class="col-md-4" id="jardin">
          <h2>Cultivez votre jardin</h2>
          <p class="text-center" role="presentation"><i class="glyphicon glyphicon-tree-deciduous"></i></p>
          <p>Pour participer au développement du logiciel, proposer des améliorations
              ou simplement le télécharger, rendez-vous sur <a href="https://github.com/umap-project/umap/">le site de développement</a>.</p>
          <br>
          <p>Si vous souhaitez installer ce logiciel pour votre propre usage et ainsi gagner en autonomie, nous vous aidons sur :</p>
          <p class="text-center"><a href="https://framacloud.org/cultiver-son-jardin/installation-de-umap/" class="btn btn-primary">framacloud.org</a></p>
      </div>
    </div>

{% endblock content %}
